import { PublicKey } from "@solana/web3.js";
import { PROGRAM_ID } from "./constants";
export function bridgeKey(mint, programId = PROGRAM_ID) {
    return PublicKey.findProgramAddressSync([
        Buffer.from("bridge", "utf-8"),
        mint.toBuffer()
    ], programId);
}
export function transferKey(ethTx, programId = PROGRAM_ID) {
    return PublicKey.findProgramAddressSync([
        Buffer.from("transfer", "utf-8"),
        ethTx.toBuffer()
    ], programId);
}
//# sourceMappingURL=pdas.js.map