"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.transferKey = exports.bridgeKey = void 0;
const web3_js_1 = require("@solana/web3.js");
const constants_1 = require("./constants");
function bridgeKey(mint, programId = constants_1.PROGRAM_ID) {
    return web3_js_1.PublicKey.findProgramAddressSync([
        Buffer.from("bridge", "utf-8"),
        mint.toBuffer()
    ], programId);
}
exports.bridgeKey = bridgeKey;
function transferKey(ethTx, programId = constants_1.PROGRAM_ID) {
    return web3_js_1.PublicKey.findProgramAddressSync([
        Buffer.from("transfer", "utf-8"),
        ethTx.toBuffer()
    ], programId);
}
exports.transferKey = transferKey;
//# sourceMappingURL=pdas.js.map