"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.bridgeResolvers = void 0;
const spl_utils_1 = require("@render-foundation/spl-utils");
exports.bridgeResolvers = (0, spl_utils_1.combineResolvers)(spl_utils_1.renderCommonResolver, (0, spl_utils_1.ataResolver)({
    instruction: "initializeTransferV0",
    account: "to",
    mint: "mint",
    owner: "payer",
}), (0, spl_utils_1.ataResolver)({
    instruction: "initializeBridgeV0",
    account: "bridgeEscrow",
    mint: "mint",
    owner: "owner"
}), (0, spl_utils_1.ataResolver)({
    instruction: "transferRndrV0",
    account: "to",
    mint: "mint",
    owner: "owner",
}));
//# sourceMappingURL=resolvers.js.map