import { Program } from "@coral-xyz/anchor";
import { PROGRAM_ID } from "./constants";
import { bridgeResolvers } from "./resolvers";
export * from "./constants";
export * from "./pdas";
export async function init(provider, programId = PROGRAM_ID, idl) {
    if (!idl) {
        idl = await Program.fetchIdl(programId, provider);
    }
    const bridge = new Program(idl, programId, provider, undefined, () => bridgeResolvers);
    return bridge;
}
//# sourceMappingURL=index.js.map