import { ataResolver, combineResolvers, renderCommonResolver } from "@render-foundation/spl-utils";
export const bridgeResolvers = combineResolvers(renderCommonResolver, ataResolver({
    instruction: "initializeTransferV0",
    account: "to",
    mint: "mint",
    owner: "payer",
}), ataResolver({
    instruction: "initializeBridgeV0",
    account: "bridgeEscrow",
    mint: "mint",
    owner: "owner"
}), ataResolver({
    instruction: "transferRndrV0",
    account: "to",
    mint: "mint",
    owner: "owner",
}));
//# sourceMappingURL=resolvers.js.map